extern Bool CitadelIsConfiguring;	// CONFIG.CPP

// CONFIG.CPP
void buildhalls(void);
Bool configcit(void);
void cdecl illegal(const char *fmt, ...);
Bool initfiles(void);
void logInit(void);
void WaitUntilDoneConfiguring(void);
void CreateConfigurationFile(int FileNameIndex, int FileDataIndex,
		Bool PrintStuff);

// EXTERNAL.CPP
void initExtDrivers(void);

// INIT.CPP
void critical(int turnOn);
int fileHandlesLeft(void);
void startUp(int argc, const char *argv[]);

// MSGCFG.CPP
void msgInit(void);
Bool zapMsgFile(void);

// OPENFILE.CPP
void openFile(const char *filename, citFILE *fd);

// READCFG.CPP
int readconfig(int ignore);

// READEXT.CPP
void ReadExternalCit(void);
void ReadProtocolCit(void);
void ReadMdmresltCit(void);
void ReadMCICit(Bool TellIfNotFound);
